Skip to main content
 首页 » 编程设计

ruby-on-rails之Rails 4,Capistrano 3.0.0,无法加载此类文件--部署

2024年06月20日12zhengyun_ustc

我刚刚运行了捆绑更新,capistrano 已更新到 3.0.0,但现在当我运行 cap 部署时,出现错误,并且不知道如何解决此问题。我每天都在更新我的服务器,没有出现任何问题,直到这次更新。

cap aborted! 
cannot load such file -- deploy 
/home/mark/rails_apps/myapp/Capfile:1:in `load' 
/home/mark/rails_apps/myapp/Capfile:1:in `<top (required)>' 

cap文件

load 'deploy' 
load 'deploy/assets' 
load 'config/deploy' # remove this line to skip loading any of the default tasks 

请您参考如下方法:

我必须 gem 卸载 capistrano 并选择版本 3.0.0

(即将 gem 降级至 2.x)